## IdeTransientSidebar IdeTransientSidebar |

## Functions

void | ide_transient_sidebar_set_panel ()
void | ide_transient_sidebar_set_page ()
void | ide_transient_sidebar_lock ()
void | ide_transient_sidebar_unlock ()

## Types and Values

#define | IDE_TYPE_TRANSIENT_SIDEBAR
struct | IdeTransientSidebarClass
| IdeTransientSidebar

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── DzlBin
                            ╰── DzlDockRevealer
                                ╰── DzlDockBinEdge
                                    ╰── IdePanel
                                        ╰── IdeTransientSidebar

## Implemented Interfaces

IdeTransientSidebar implements AtkImplementorIface, GtkBuildable and DzlDockItem.

## Description

## Functions

### ide_transient_sidebar_set_panel ()

    void
    ide_transient_sidebar_set_panel (IdeTransientSidebar *self,
                                     GtkWidget *panel);

### ide_transient_sidebar_set_page ()

    void
    ide_transient_sidebar_set_page (IdeTransientSidebar *self,
                                    IdePage *page);

Sets the page for which the panel is transient for. When focus leaves the sidebar or the page, the panel will be dismissed.

#### Parameters

self | a IdeTransientSidebar |
page | An IdePage or `NULL`. | [nullable]

Since: 3.32

### ide_transient_sidebar_lock ()

    void
    ide_transient_sidebar_lock (IdeTransientSidebar *self);

### ide_transient_sidebar_unlock ()

    void
    ide_transient_sidebar_unlock (IdeTransientSidebar *self);

## Types and Values

### IDE_TYPE_TRANSIENT_SIDEBAR

    #define IDE_TYPE_TRANSIENT_SIDEBAR (ide_transient_sidebar_get_type())

### struct IdeTransientSidebarClass

    struct IdeTransientSidebarClass {
      IdePanelClass parent_class;
    };

### IdeTransientSidebar

    typedef struct _IdeTransientSidebar IdeTransientSidebar;